Set a SoC-based charging plan
POST
/vehicles/{name}/plan/soc/{soc}/{timestamp}
const url = 'https://demo.evcc.io/api/vehicles/vehicle_1/plan/soc/60/2026-04-15T12%3A00%3A00Z';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.evcc.io/api/vehicles/vehicle_1/plan/soc/60/2026-04-15T12%3A00%3A00ZCreate charging plan with fixed time and SoC target.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
soc
required
SOC in %
number
Example
60SOC in %
timestamp
required
Timestamp in RFC3339 format
string format: date-time
Timestamp in RFC3339 format
Responses
Section titled “Responses”Success
Media typeapplication/json
object
soc
SOC in %
number
time
Timestamp in RFC3339 format
string format: date-time
Example
{ "soc": 60}